/*
 * Hide accesses into private Java fields behind
 * macros so this will work with Kore.
 */
#ifndef X__javaFieldHacks_h
#define X__javaFieldHacks_h


/*
 * For private elements of java.awt.Color:
 */
#define JCOLOR_VALUE(jclr) (unhand(jclr)->data)
#define JCOLOR_PRIVDATA(jclr) (unhand(jclr)->nativeData)

/*
 * For private elements of java.awt.Font:
 */
#define JFONT_PRIVDATA(font) (unhand(font)->nativeData)

/*
 * For private elements of java.awt.image.IndexColorModel:
 */
#define JINDEXCOLORMODEL_MAPSIZE(icm) (unhand(icm)->size)

#endif /* X__javaFieldHacks_h */
